package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.TaskMsgModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

/**
 * 任务消息操作接口
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/11/19
 */
public interface TaskMsgProvider extends SuperProvider {

    default BocloudResult get(Long msgId) {
        return null;
    }

    default BocloudResult<List<TaskMsgModel>> list() {
        return null;
    }
}
